package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import org.w3c.dom.Document;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: BankingErrorIdentificationTS
 *
 */
@SuppressWarnings("all")
public class BankingErrorIdentificationTS_DataTable extends DataTable {
  public BankingErrorIdentificationTS_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_identifyError tcTest_identifyError = new TC_Test_identifyError("test_identifyError", this);

/**
 *
 * Test Case: test_identifyError
 *
 */
public class TC_Test_identifyError extends TestCaseData {
  public TC_Test_identifyError(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237324381937_499() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/BankingErrorIdentificationModuleWeb/sca/ErrorIdentificationServicePortTypeExport",java.lang.String.class);

}String constructField_1237324381937_499(Object parent) throws Exception{
return getField_1237324381937_499();
}
public String createValue_1237324381937_499() throws Exception{
String serviceAddress = constructField_1237324381937_499(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237324381937_499();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237324382109_866() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237324382109_866();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_All_Errors tcTest_All_Errors = new TC_Test_All_Errors("test_All_Errors", this);

/**
 *
 * Test Case: test_All_Errors
 *
 */
public class TC_Test_All_Errors extends TestCaseData {
  public TC_Test_All_Errors(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237557113109_4177134() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/BankingErrorIdentificationModuleWeb/sca/ErrorIdentificationServicePortTypeExport",java.lang.String.class);

}String constructField_1237557113109_4177134(Object parent) throws Exception{
return getField_1237557113109_4177134();
}
public String createValue_1237557113109_4177134() throws Exception{
String serviceAddress = constructField_1237557113109_4177134(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237557113109_4177134();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237557162609_4180066() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237557162609_4180066();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Invalid_Error tcTest_Invalid_Error = new TC_Test_Invalid_Error("test_Invalid_Error", this);

/**
 *
 * Test Case: test_Invalid_Error
 *
 */
public class TC_Test_Invalid_Error extends TestCaseData {
  public TC_Test_Invalid_Error(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237557551765_4187471() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/BankingErrorIdentificationModuleWeb/sca/ErrorIdentificationServicePortTypeExport",java.lang.String.class);

}String constructField_1237557551765_4187471(Object parent) throws Exception{
return getField_1237557551765_4187471();
}
public String createValue_1237557551765_4187471() throws Exception{
String serviceAddress = constructField_1237557551765_4187471(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237557551765_4187471();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237557565515_4189731() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237557565515_4189731();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}