package tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import org.w3c.dom.Document;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: AllValidation
 *
 */
@SuppressWarnings("all")
public class AllValidation_DataTable extends DataTable {
  public AllValidation_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_validate tcTest_validate = new TC_Test_validate("test_validate", this);

/**
 *
 * Test Case: test_validate
 *
 */
public class TC_Test_validate extends TestCaseData {
  public TC_Test_validate(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1236934012812_229494() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1236934012812_229494(Object parent) throws Exception{
return getField_1236934012812_229494();
}
public String createValue_1236934012812_229494() throws Exception{
String serviceAddress = constructField_1236934012812_229494(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1236934012812_229494();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1236934013015_237458() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1236934013015_237458();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_No_of_txn_Incorrect tcTest_No_of_txn_Incorrect = new TC_Test_No_of_txn_Incorrect("test_No_of_txn_Incorrect", this);

/**
 *
 * Test Case: test_No_of_txn_Incorrect
 *
 */
public class TC_Test_No_of_txn_Incorrect extends TestCaseData {
  public TC_Test_No_of_txn_Incorrect(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Uuu tcUuu = new DS_Uuu("uuu", this);
/**
 * 
 * Data Set: uuu
 *
 */
public class DS_Uuu extends DataSet {
   public DS_Uuu(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237271865859_458191() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237271865859_458191(Object parent) throws Exception{
return getField_1237271865859_458191();
}
public String createValue_1237271865859_458191() throws Exception{
String serviceAddress = constructField_1237271865859_458191(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237271865859_458191();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237271865859_458193() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237271865859_458193();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Ctrl_Sum_Incorrect tcTest_Ctrl_Sum_Incorrect = new TC_Test_Ctrl_Sum_Incorrect("test_Ctrl_Sum_Incorrect", this);

/**
 *
 * Test Case: test_Ctrl_Sum_Incorrect
 *
 */
public class TC_Test_Ctrl_Sum_Incorrect extends TestCaseData {
  public TC_Test_Ctrl_Sum_Incorrect(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237271484125_319226() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237271484125_319226(Object parent) throws Exception{
return getField_1237271484125_319226();
}
public String createValue_1237271484125_319226() throws Exception{
String serviceAddress = constructField_1237271484125_319226(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237271484125_319226();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237271584781_385203() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237271584781_385203();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Grouping_Incorrect tcTest_Grouping_Incorrect = new TC_Test_Grouping_Incorrect("test_Grouping_Incorrect", this);

/**
 *
 * Test Case: test_Grouping_Incorrect
 *
 */
public class TC_Test_Grouping_Incorrect extends TestCaseData {
  public TC_Test_Grouping_Incorrect(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237272165343_598110() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237272165343_598110(Object parent) throws Exception{
return getField_1237272165343_598110();
}
public String createValue_1237272165343_598110() throws Exception{
String serviceAddress = constructField_1237272165343_598110(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237272165343_598110();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237272911984_702112() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237272911984_702112();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Nooftxn_is_blank tcTest_Nooftxn_is_blank = new TC_Test_Nooftxn_is_blank("test_Nooftxn_is_blank", this);

/**
 *
 * Test Case: test_Nooftxn_is_blank
 *
 */
public class TC_Test_Nooftxn_is_blank extends TestCaseData {
  public TC_Test_Nooftxn_is_blank(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237273972281_923748() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237273972281_923748(Object parent) throws Exception{
return getField_1237273972281_923748();
}
public String createValue_1237273972281_923748() throws Exception{
String serviceAddress = constructField_1237273972281_923748(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237273972281_923748();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237274002343_948510() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237274002343_948510();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Nooftxn_is_spec_char tcTest_Nooftxn_is_spec_char = new TC_Test_Nooftxn_is_spec_char("test_Nooftxn_is_spec_char", this);

/**
 *
 * Test Case: test_Nooftxn_is_spec_char
 *
 */
public class TC_Test_Nooftxn_is_spec_char extends TestCaseData {
  public TC_Test_Nooftxn_is_spec_char(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237274752031_1146972() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237274752031_1146972(Object parent) throws Exception{
return getField_1237274752031_1146972();
}
public String createValue_1237274752031_1146972() throws Exception{
String serviceAddress = constructField_1237274752031_1146972(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237274752031_1146972();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237275446140_1171738() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237275446140_1171738();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Nooftxns_is_alphanumeric tcTest_Nooftxns_is_alphanumeric = new TC_Test_Nooftxns_is_alphanumeric("test_Nooftxns_is_alphanumeric", this);

/**
 *
 * Test Case: test_Nooftxns_is_alphanumeric
 *
 */
public class TC_Test_Nooftxns_is_alphanumeric extends TestCaseData {
  public TC_Test_Nooftxns_is_alphanumeric(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237275662843_1336711() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237275662843_1336711(Object parent) throws Exception{
return getField_1237275662843_1336711();
}
public String createValue_1237275662843_1336711() throws Exception{
String serviceAddress = constructField_1237275662843_1336711(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237275662843_1336711();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237275685578_1361477() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237275685578_1361477();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_CtrlSum_is_Null tcTest_CtrlSum_is_Null = new TC_Test_CtrlSum_is_Null("test_CtrlSum_is_Null", this);

/**
 *
 * Test Case: test_CtrlSum_is_Null
 *
 */
public class TC_Test_CtrlSum_is_Null extends TestCaseData {
  public TC_Test_CtrlSum_is_Null(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237277106078_1660224() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CCTIValidationModuleWeb/sca/CCTIValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237277106078_1660224(Object parent) throws Exception{
return getField_1237277106078_1660224();
}
public String createValue_1237277106078_1660224() throws Exception{
String serviceAddress = constructField_1237277106078_1660224(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237277106078_1660224();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237277658984_1814106() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237277658984_1814106();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}