package TestSuite.tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import org.w3c.dom.Document;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: CPRValidationTS
 *
 */
@SuppressWarnings("all")
public class CPRValidationTS_DataTable extends DataTable {
  public CPRValidationTS_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_validate tcTest_validate = new TC_Test_validate("test_validate", this);

/**
 *
 * Test Case: test_validate
 *
 */
public class TC_Test_validate extends TestCaseData {
  public TC_Test_validate(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1236986408218_98533() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CPRValidationModuleWeb/sca/CPRValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1236986408218_98533(Object parent) throws Exception{
return getField_1236986408218_98533();
}
public String createValue_1236986408218_98533() throws Exception{
String serviceAddress = constructField_1236986408218_98533(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1236986408218_98533();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1236986408515_109214() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1236986408515_109214();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Nooftxn_incorrect tcTest_Nooftxn_incorrect = new TC_Test_Nooftxn_incorrect("test_Nooftxn_incorrect", this);

/**
 *
 * Test Case: test_Nooftxn_incorrect
 *
 */
public class TC_Test_Nooftxn_incorrect extends TestCaseData {
  public TC_Test_Nooftxn_incorrect(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237545771750_1983292() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CPRValidationModuleWeb/sca/CPRValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237545771750_1983292(Object parent) throws Exception{
return getField_1237545771750_1983292();
}
public String createValue_1237545771750_1983292() throws Exception{
String serviceAddress = constructField_1237545771750_1983292(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237545771750_1983292();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237545796390_2044028() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237545796390_2044028();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Ctrlsum_incorrect tcTest_Ctrlsum_incorrect = new TC_Test_Ctrlsum_incorrect("test_Ctrlsum_incorrect", this);

/**
 *
 * Test Case: test_Ctrlsum_incorrect
 *
 */
public class TC_Test_Ctrlsum_incorrect extends TestCaseData {
  public TC_Test_Ctrlsum_incorrect(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237553365265_2930326() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CPRValidationModuleWeb/sca/CPRValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237553365265_2930326(Object parent) throws Exception{
return getField_1237553365265_2930326();
}
public String createValue_1237553365265_2930326() throws Exception{
String serviceAddress = constructField_1237553365265_2930326(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237553365265_2930326();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237553474843_2995387() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237553474843_2995387();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Invalid_Document tcTest_Invalid_Document = new TC_Test_Invalid_Document("test_Invalid_Document", this);

/**
 *
 * Test Case: test_Invalid_Document
 *
 */
public class TC_Test_Invalid_Document extends TestCaseData {
  public TC_Test_Invalid_Document(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237553834000_3164285() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/CPRValidationModuleWeb/sca/CPRValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237553834000_3164285(Object parent) throws Exception{
return getField_1237553834000_3164285();
}
public String createValue_1237553834000_3164285() throws Exception{
String serviceAddress = constructField_1237553834000_3164285(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237553834000_3164285();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237553850078_3225016() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237553850078_3225016();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}