package TestSuite.tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.XMLRuntimeManipulator;
import commonj.sdo.DataObject;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: BankingRulesEngineTS
 *
 */
@SuppressWarnings("all")
public class BankingRulesEngineTS_DataTable extends DataTable {
  public BankingRulesEngineTS_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_NORulesContext tcTest_NORulesContext = new TC_Test_NORulesContext("test_NORulesContext", this);

/**
 *
 * Test Case: test_NORulesContext
 *
 */
public class TC_Test_NORulesContext extends TestCaseData {
  public TC_Test_NORulesContext(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject inputDocument;
    DE_InputDocument deInputDocument = new DE_InputDocument("inputDocument", this);

/**
 * Data Set Row inputDocument
 */
public class DE_InputDocument extends AbstractInputDataEntry {
   public DE_InputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1240401879921_1810() throws Exception{
XMLRuntimeManipulator xmlManip = new XMLRuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();inputDocument = (DataObject)xmlManip.createObject(valModel,this.getClass().getClassLoader());return inputDocument;
}

   
   public Object getValue() throws Exception
   {
      return inputDocument;

   }
   
   public void initValue() throws Exception
   {
         inputDocument = createValue_1240401879921_1810();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject outputDocument;
    DE_OutputDocument deOutputDocument = new DE_OutputDocument("outputDocument", this);

/**
 * Data Set Row outputDocument
 */
public class DE_OutputDocument extends AbstractOutputDataEntry {
   public DE_OutputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return outputDocument;

   }
   
   public void setValue(Object value) throws Exception
   {
      outputDocument = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Positive_Req_BothRules tcTest_Positive_Req_BothRules = new TC_Test_Positive_Req_BothRules("test_Positive_Req_BothRules", this);

/**
 *
 * Test Case: test_Positive_Req_BothRules
 *
 */
public class TC_Test_Positive_Req_BothRules extends TestCaseData {
  public TC_Test_Positive_Req_BothRules(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject inputDocument;
    DE_InputDocument deInputDocument = new DE_InputDocument("inputDocument", this);

/**
 * Data Set Row inputDocument
 */
public class DE_InputDocument extends AbstractInputDataEntry {
   public DE_InputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1240379583312_49172() throws Exception{
XMLRuntimeManipulator xmlManip = new XMLRuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();inputDocument = (DataObject)xmlManip.createObject(valModel,this.getClass().getClassLoader());return inputDocument;
}

   
   public Object getValue() throws Exception
   {
      return inputDocument;

   }
   
   public void initValue() throws Exception
   {
         inputDocument = createValue_1240379583312_49172();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject outputDocument;
    DE_OutputDocument deOutputDocument = new DE_OutputDocument("outputDocument", this);

/**
 * Data Set Row outputDocument
 */
public class DE_OutputDocument extends AbstractOutputDataEntry {
   public DE_OutputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return outputDocument;

   }
   
   public void setValue(Object value) throws Exception
   {
      outputDocument = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Min_tran_Amt_Rule tcTest_Min_tran_Amt_Rule = new TC_Test_Min_tran_Amt_Rule("test_Min_tran_Amt_Rule", this);

/**
 *
 * Test Case: test_Min_tran_Amt_Rule
 *
 */
public class TC_Test_Min_tran_Amt_Rule extends TestCaseData {
  public TC_Test_Min_tran_Amt_Rule(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject inputDocument;
    DE_InputDocument deInputDocument = new DE_InputDocument("inputDocument", this);

/**
 * Data Set Row inputDocument
 */
public class DE_InputDocument extends AbstractInputDataEntry {
   public DE_InputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1240379745375_50937() throws Exception{
XMLRuntimeManipulator xmlManip = new XMLRuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();inputDocument = (DataObject)xmlManip.createObject(valModel,this.getClass().getClassLoader());return inputDocument;
}

   
   public Object getValue() throws Exception
   {
      return inputDocument;

   }
   
   public void initValue() throws Exception
   {
         inputDocument = createValue_1240379745375_50937();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject outputDocument;
    DE_OutputDocument deOutputDocument = new DE_OutputDocument("outputDocument", this);

/**
 * Data Set Row outputDocument
 */
public class DE_OutputDocument extends AbstractOutputDataEntry {
   public DE_OutputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return outputDocument;

   }
   
   public void setValue(Object value) throws Exception
   {
      outputDocument = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Verify_tran_amt_Rule tcTest_Verify_tran_amt_Rule = new TC_Test_Verify_tran_amt_Rule("test_Verify_tran_amt_Rule", this);

/**
 *
 * Test Case: test_Verify_tran_amt_Rule
 *
 */
public class TC_Test_Verify_tran_amt_Rule extends TestCaseData {
  public TC_Test_Verify_tran_amt_Rule(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject inputDocument;
    DE_InputDocument deInputDocument = new DE_InputDocument("inputDocument", this);

/**
 * Data Set Row inputDocument
 */
public class DE_InputDocument extends AbstractInputDataEntry {
   public DE_InputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1240379947546_56954() throws Exception{
XMLRuntimeManipulator xmlManip = new XMLRuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();inputDocument = (DataObject)xmlManip.createObject(valModel,this.getClass().getClassLoader());return inputDocument;
}

   
   public Object getValue() throws Exception
   {
      return inputDocument;

   }
   
   public void initValue() throws Exception
   {
         inputDocument = createValue_1240379947546_56954();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject outputDocument;
    DE_OutputDocument deOutputDocument = new DE_OutputDocument("outputDocument", this);

/**
 * Data Set Row outputDocument
 */
public class DE_OutputDocument extends AbstractOutputDataEntry {
   public DE_OutputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return outputDocument;

   }
   
   public void setValue(Object value) throws Exception
   {
      outputDocument = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Invalid_Req_doc tcTest_Invalid_Req_doc = new TC_Test_Invalid_Req_doc("test_Invalid_Req_doc", this);

/**
 *
 * Test Case: test_Invalid_Req_doc
 *
 */
public class TC_Test_Invalid_Req_doc extends TestCaseData {
  public TC_Test_Invalid_Req_doc(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public DataObject inputDocument;
    DE_InputDocument deInputDocument = new DE_InputDocument("inputDocument", this);

/**
 * Data Set Row inputDocument
 */
public class DE_InputDocument extends AbstractInputDataEntry {
   public DE_InputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public DataObject createValue_1240380242515_61650() throws Exception{
XMLRuntimeManipulator xmlManip = new XMLRuntimeManipulator();ValueElement valModel = getDataSetValue().getValue();inputDocument = (DataObject)xmlManip.createObject(valModel,this.getClass().getClassLoader());return inputDocument;
}

   
   public Object getValue() throws Exception
   {
      return inputDocument;

   }
   
   public void initValue() throws Exception
   {
         inputDocument = createValue_1240380242515_61650();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public DataObject outputDocument;
    DE_OutputDocument deOutputDocument = new DE_OutputDocument("outputDocument", this);

/**
 * Data Set Row outputDocument
 */
public class DE_OutputDocument extends AbstractOutputDataEntry {
   public DE_OutputDocument(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return outputDocument;

   }
   
   public void setValue(Object value) throws Exception
   {
      outputDocument = (commonj.sdo.DataObject)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}